%define upstream_name	 Crypt-DH
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Diffie-Hellman key exchange system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Math::BigInt) >= 1.600.0
BuildRequires: perl(Math::BigInt::GMP) >= 1.240.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-Crypt-Random
BuildArch:  noarch

%perl_default_filter
# (tv) --skipdeps below seems unsufficiant on BS (but OK locally???):
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Math::BigInt::Pari

%description 
Crypt::DH is a Perl implementation of the Diffie-Hellman key exchange system.
Diffie-Hellman is an algorithm by which two parties can agree on a shared
secret key, known only to them. The secret is negotiated over an insecure
network without the two parties ever passing the actual shared secret, or
their private keys, between them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.70.0-10.mga6
+ Revision: 1024512
- Rebuild for perl 5.22.2

* Mon Apr 11 2016 tv <tv> 0.70.0-9.mga6
+ Revision: 1000382
- add a require exception as --skipdeps is not enough on BS

* Fri Apr 01 2016 tv <tv> 0.70.0-8.mga6
+ Revision: 997313
- use --skipdeps with Makefile.PL to stop it trying to download and install
  Math::BigInt::Pari

* Mon Feb 08 2016 umeabot <umeabot> 0.70.0-7.mga6
+ Revision: 947582
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-6.mga5
+ Revision: 749209
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 684036
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-4.mga4
+ Revision: 510335
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-3.mga3
+ Revision: 364835
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 0.70.0-2.mga3
+ Revision: 326435
- missing buildrequires:
- adding missing buildrequires:

* Wed Sep 26 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 298221
- update to 0.07

* Fri Jan 21 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 28441
- mageia rebuild
- imported package perl-Crypt-DH


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 406922
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.06-3mdv2009.0
+ Revision: 256257
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.06-1mdv2008.1
+ Revision: 131417
- kill re-definition of %%buildroot on Pixel's request


* Tue Sep 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- New release 0.06
- spec cleanup
- make test in %%check
- fix directory ownership

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.03-1mdk
- New package

